extends Area2D


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	move_local_x(delta * 400)

func _on_Fireball_area_entered(area):
	if(area.get_collision_layer_bit(1)):
		queue_free()
	pass # Replace with function body.
